<div style="margin-top: 20px;">
    <div class="container">
        <div class="row">
            <h5>
                <span jhiTranslate="mpmApp.mappingAccessories.home.title">mappingAccessories</span>
            </h5>
            <p-dataTable
                [value]="mappingAccessories"
                [editable]="true"
                [rows]="itemsPerPage"
                [paginator]="true"
                [pageLinks]="5"
                [rowsPerPageOptions]="[10]"
                [totalRecords]="totalItems"
                [responsive]="true"
                [lazy]="true"
                dataKey="idProduct"
                expandableRows="false"
                (onLazyLoad)="loadDataLazy($event)"
                (onEditComplete)="updateRowData($event)">
                <p-header>
                    <jhi-alert></jhi-alert>
                    <!-- <div class="col-md-1 offset-md-11">
                        <button pButton type="button"
                            icon="fa-plus"
                            class="ui-button-primary btn-sm"
                            [routerLink]="['/', { outlets: { popup: 'mapping-accessories-new/' + idProduct } }]">
                        </button>
                    </div> -->

                    <div class="btn-filter-wrapper">
                        <button type="button" class="btn btn-primary btn-filter pull-right" (click)="showMappingDetail()">
                            <span>Tambah Data</span>
                        </button>
                    </div><br/>
                    <!-- <div>
                        <form name="searchForm" class="form-inline">
                            <div class="input-group w-100 mt-3">
                                <input type="text" class="form-control" [(ngModel)]="currentSearch" id="currentSearch"
                                      name="currentSearch" placeholder="Find Data Aksesoris">
                                <button class="input-group-addon btn btn-info" (click)="search(currentSearch)" *ngIf="currentSearch">
                                    <span class="fa fa-search"></span>
                                </button>
                                <button class="input-group-addon btn btn-danger" (click)="clear()" *ngIf="currentSearch">
                                    <span class="fa fa-trash-o"></span>
                                </button>
                            </div>
                        </form>
                    </div> -->
                </p-header>
                <!-- <p-column expander="false" styleClass="col-icon" [style]="{'width': '35px', 'text-align': 'center'}"></p-column> -->
                <p-column header="{{'mpmApp.mappingAccessories.labelSequence'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}">
                    <ng-template let-rowIndex="rowIndex" pTemplate="body">
                        {{rowIndex + 1}}
                    </ng-template>
                </p-column>
                <p-column header="Kode Type" [style]="{'width': '80px'}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.idProduct}}
                    </ng-template>
                </p-column>
                <p-column header="id Accesories">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.idAccessories}}
                    </ng-template>
                </p-column>
                <p-column header="Description">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.description}}
                    </ng-template>
                </p-column>
                <!-- <p-column header="Type">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.typeAccesories}}
                    </ng-template>
                </p-column> -->
                <p-column header="{{'mpmApp.mappingAccessories.labelAction'|translate}}" [style]="{'width': '150px', 'text-align': 'center'}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <!-- <button pButton type="submit"
                                [routerLink]="['/', { outlets: { popup: 'mapping-accesories-new/'+ rowData.idProduct + '/edit'} }]"
                                replaceUrl="true"
                                icon="fa-pencil"
                                class="ui-button-primary">
                        </button> -->
                        <button pButton type="submit"
                                (click)="delete(rowData.id)"
                                icon="fa-remove"
                                class="ui-button-danger">
                        </button>
                    </ng-template>
                </p-column>
                <ng-template let-rowData let-rowIndex='rowIndex' pTemplate="rowexpansion">
                </ng-template>
            </p-dataTable>
        </div>
    </div>

<p-dialog header="Mapping Accessories" [(visible)]="mappingAccessoriesModal" modal="true" [width]="500" [height]="500">
    <div class="row">
        <div class="col-md-12">
            <div class="form-group">
                <label class="typeCode">Kode Type</label>
                <input type="text" class="form-control" name="typeCode" id="field_typeCode" [readonly]="true" [(ngModel)]="mappingAccessoriesSave.idProduct"
                />
            </div>

            <div class="form-group">
                <label for="field_idAccessories">ID Aksesoris</label>
                <p-dropdown [options]="listMasterAksesoris" styleClass="form-control" autoWidth="false"
                    [style]="{'width':'100%'}"
                    [(ngModel)]="mappingAccessoriesSave.idAccessories" id="field_idAccessories" name="idAccessories"
                    [filter]="true" filterBy="label" 
                    (onChange)="getDescription()"
                ></p-dropdown>
                <!-- <label class="form-control-label" for="field_idAccessories">Id Accessories</label>
                <select class="form-control" id="field_idAccessories" name="idAccessories" [(ngModel)]="mappingAccessoriesSave.idAccessories" (onChange)="getDescription()">
                    <option [ngValue]="null"></option>
                    <option [ngValue]="masterAksesoris.idAccessories" *ngFor="let masterAksesoris of listMasterAksesoris; trackBy: trackIdAccessoriesById">{{masterAksesoris.label}}</option>
                </select> -->
            </div>

            <div class="form-group">
                <label class=description>Description</label>
                <input type="text" class="form-control" name="description" id="field_description" [readonly]="true" [(ngModel)]="mappingAccessoriesSave.description"
                />
            </div>
        </div>

        <div class="col-md-12" style="margin-top:20px">
            <button type="button" style="margin-left:10px" class="btn btn-danger pull-right" (click)="saveFromDialog()">Save</button>

            <button type="button" style="margin-left:10px" class="btn btn-danger pull-right" (click)="clear()">Cancel</button>
        </div>
    </div>
</p-dialog>
</div>

<p-confirmDialog></p-confirmDialog>